        DIMENSION A(20),REC(10)                                                 
        COMMON/PETE/IK(10),IIK(10),IYS,N6                                       
        COMMON/GEO/IA(360),IIA(360),IB(360),IIB(360),IC(360),                   
     1  IIC(360),                                                               
     1  IY(360)                                                                 
        REAL IA,IB,IC                                                           
        N1=20                                                                   
        N6=6                                                                    
        IYS=1634                                                                
        IYF=1981                                                                
        NT=360                                                                  
C                                                                               
C  READ AND PRINT FILE CONTAINING DESCRIPTIVE INFORMATION                       
C      ABOUT THE DATASET - NDP002.DES                                       
        WRITE(N6,5)                                                             
5      FORMAT(1H1)                                                              
7      READ(N1,10,END=100) A                                                    
10      FORMAT(20A4)                                                            
          WRITE(N6,20) A                                                        
20        FORMAT(1H ,20A4)                                                      
          GO TO 7                                                               
C                                                                               
C   READ AND PRINT FILE CONTAINING TREE RING CHRONOLOGY INDEXES -               
C        NDP002.TRE                                                         
100     CONTINUE                                                                
        WRITE(N6,101)                                                           
101        FORMAT(1H1,                                                          
     1 'Table 1.  Tree-Ring Chronologies for Duvick Back ',                     
     1'Woods, Ledges, and'/1H0,'          Pammel sites in Iowa')                
           WRITE(N6,110)                                                        
110           FORMAT(/70(1H-),/                                                 
     2  8X,'DUVICK BACK WOODS',10X,'LEDGES',9X,                                 
     2  'PAMMEL STATE PARK',/                                                   
     3  8X,18(1H-),3X,18(1H-),3X,18(1H-),                                       
     4  /5X,3('   RING-WIDTH  NUMBER'),/                                        
     5  2X,'YEAR',3('    INDEX    OF CORES'),/1H ,70(1H-),/)                    
        DO 120 I=1,NT                                                           
        IA(I)=0.0                                                               
        IIA(I)=0                                                                
        IB(I)=0.0                                                               
        IIB(I)=0                                                                
        IC(I)=0.0                                                               
        IIC(I)=0                                                                
        IY(I)=IYS+I                                                             
120     CONTINUE                                                                
125     READ(N1,130,END=500)ISITE,IYEAR,(IK(J),IIK(J),J=1,10)                   
130     FORMAT(I6,I4,10(I4,I3))                                                 
        CALL SORTA(ISITE,IYEAR)                                                 
        GO TO 125                                                               
500     CONTINUE                                                                
        NTT=IYF-IYS                                                             
        DO 510 I=1,NTT                                                          
           IF(MOD(I,40) .NE.  0) GO TO 505                                      
           WRITE(N6,105)                                                        
105         FORMAT('Table 2.  (Continued)')                                     
            WRITE(N6,110)                                                       
505       CONTINUE                                                              
        WRITE(N6,520)(IY(I),IA(I),IIA(I),IB(I),IIB(I),IC(I),IIC(I))             
520     FORMAT(1H ,I5,3(4X,F5.3,7X,I3,2X))                                      
510     CONTINUE                                                                
C                                                                               
C     READ AND PRINT FILE CONTAINING PRECIPITATION RECONSTRUCTIONS              
C        FROM TREE RING DATA - NDP002.PRE                                   
C                                                                               
        WRITE(N6,610)                                                           
610      FORMAT(1H1,'RECONSTRUCTIONS OF PRECIPITATION FOR CENTRAL',             
     1' IOWA'/1H ,'FROM TREE RING CHRONOLOGY INDEXES'/1H0,70(1H-)/              
     21H ,31X,'YEAR OF DECADE'/1H0,6X,64(1H-)/1H ,'DECADE',3X,'0',              
     36X,'1',6X,'2',6X,'3',6X,'4',6X,'5',6X,'6',6X,'7',6X,'8',                  
     46X,'9'/1H ,70(1H-)//)                                                     
650        CONTINUE                                                             
         READ(N1,230,END=600) IYR,(REC(I),I=1,10)                               
230      FORMAT(I4,10(1X,F6.2))                                                 
         WRITE(N6,620) IYR,(REC(I),I=1,10)                                      
620      FORMAT(1H ,I4,10(1X,F6.2))                                             
         GO TO 650                                                              
600      CONTINUE                                                               
        STOP                                                                    
        END                                                                     
        SUBROUTINE SORTA(ISITE,IYEAR)                                           
        COMMON/PETE/IK(10),IIK(10),IYS,N6                                       
        COMMON/GEO/IA(360),IIA(360),IB(360),IIB(360),IC(360),                   
     1  IIC(360),                                                               
     1  IY(360)                                                                 
        REAL IA,IB,IC                                                           
        IF(ISITE.LT.645000)  GO TO 300                                          
        IF(ISITE.GT.646000)  GO TO 200                                          
        CALL SITE(IYEAR,IA,IIA,IK,IIK)                                          
        RETURN                                                                  
200     CALL SITE(IYEAR,IB,IIB,IK,IIK)                                          
        RETURN                                                                  
300     CALL SITE(IYEAR,IC,IIC,IK,IIK)                                          
        RETURN                                                                  
        END                                                                     
        SUBROUTINE SITE(IYEAR,IX,IIX)                                           
        DIMENSION IX(1),IIX(1)                                                  
        COMMON/PETE/IK(10),IIK(10),IYS,N6                                       
        COMMON/GEO/IA(360),IIA(360),IB(360),IIB(360),IC(360),                   
     1  IIC(360),                                                               
     1  IY(360)                                                                 
        REAL IA,IB,IC,IX                                                        
        DO 100 I=1,10                                                           
        J=I                                                                     
        IF(IK(I).NE.9990)  GO TO 120                                            
100     CONTINUE                                                                
        WRITE(N6,110)IYEAR,(IK(I),IIK(I),I=1,110)                               
110     FORMAT('LOST IN SUBROUTINE SITE',I6,10(I4,1X,I3))                       
        STOP                                                                    
120     II=IYEAR-IYS-1                                                          
        DO 130 I=J,10                                                           
        II=II+1                                                                 
        IX(II)=FLOAT(IK(I))/1000.0                                              
        IIX(II)=IIK(I)                                                          
130     CONTINUE                                                                
        RETURN                                                                  
        END                                                                     
